Attribute VB_Name = "ReleaseVersion"
Option Explicit

Type MenuControl
  bTextSMSEnabled As Boolean
  bOperatorLogoEnabled As Boolean
  bGroupLogoEnabled As Boolean
  bRingtoneEnabled As Boolean
  bPictureMessageEnabled As Boolean
  bVCardEnabled As Boolean
  bUnicodeEnabled As Boolean
  bWAPPushSMSEnabled As Boolean
  bBinaryDataEnabled As Boolean
End Type

Sub VersionSpecificAction(nCode As Integer, Optional nInput As Integer, Optional lInput As Long, Optional sInput As String, Optional bInput As Boolean)
Dim i As Integer
Dim sTemp As String
Dim sCaption As String
Dim sApplicationPlaceHolder As String
Dim lRet As Long

Select Case nCode
  Case 1
  gsApplicationName = "SMS Blaster V1.3"
    
  frmSMSBlaster.mnuFile.Visible = True
  frmSMSBlaster.mnuOpenDatabase.Visible = True
  frmSMSBlaster.mnuSeparator01.Visible = True
  frmSMSBlaster.mnuImportTextfiles.Visible = True
  frmSMSBlaster.mnuImportLegacy.Visible = True
  frmSMSBlaster.mnuSeparator02.Visible = True
  frmSMSBlaster.mnuExit.Visible = True

  frmSMSBlaster.mnuAccount.Visible = True
  frmSMSBlaster.mnuRegistration.Visible = True
  frmSMSBlaster.mnuSeparator03.Visible = True
  frmSMSBlaster.mnuBuyCredits.Visible = True
  frmSMSBlaster.mnuShowCredits.Visible = True
  frmSMSBlaster.mnuSeparator04.Visible = True
  frmSMSBlaster.mnuJoblog.Visible = True
  frmSMSBlaster.mnuSendlog.Visible = True

  frmSMSBlaster.mnuSettings.Visible = True
  frmSMSBlaster.mnuLanguage(1).Visible = True
  frmSMSBlaster.mnuLanguage(2).Visible = True
  frmSMSBlaster.mnuSeparator05.Visible = True
  frmSMSBlaster.mnuGeneralSettings.Visible = True

  frmSMSBlaster.mnuInfo.Visible = True
  frmSMSBlaster.mnuInfo001.Visible = True
  frmSMSBlaster.mnuSeparator06.Visible = True
  frmSMSBlaster.mnuInfo002.Visible = True
  frmSMSBlaster.mnuInfo003.Visible = True
  frmSMSBlaster.mnuInfo004.Visible = True
  frmSMSBlaster.mnuInfo005.Visible = True
  frmSMSBlaster.mnuInfo006.Visible = True
  frmSMSBlaster.mnuInfo007.Visible = True
  frmSMSBlaster.mnuInfo008.Visible = True
  frmSMSBlaster.mnuSeparator07.Visible = True
  frmSMSBlaster.mnuInfo009.Visible = True
  
  frmSMSBlaster.Caption = gsApplicationName
  frmSMSBlaster.mnuInfo001.Caption = LoadLanguageSpecificString(nInput, 240)
  frmSMSBlaster.mnuFile.Caption = LoadLanguageSpecificString(nInput, 81)
  frmSMSBlaster.mnuRegistration.Caption = LoadLanguageSpecificString(nInput, 82)
  frmSMSBlaster.mnuInfo003.Caption = LoadLanguageSpecificString(nInput, 84)

  VersionSpecificAction 37, , , sCaption
  frmSMSBlaster.mnuInfo002.Caption = sCaption

  frmSMSBlaster.mnuInfo004.Caption = LoadLanguageSpecificString(nInput, 86)
  frmSMSBlaster.mnuInfo005.Caption = LoadLanguageSpecificString(nInput, 87)
  frmSMSBlaster.mnuInfo006.Caption = LoadLanguageSpecificString(nInput, 88)

  VersionSpecificAction 44, , , sApplicationPlaceHolder
  sTemp = LoadLanguageSpecificString(nInput, 410)
  sTemp = Replace(sTemp, gcPlaceHolder, sApplicationPlaceHolder)
  frmSMSBlaster.mnuOpenDatabase.Caption = sTemp
  
  frmSMSBlaster.mnuOpenDatabaseWithAccess2000.Caption = LoadLanguageSpecificString(nInput, 411)

  VersionSpecificAction 44, , , sApplicationPlaceHolder
  sTemp = LoadLanguageSpecificString(nInput, 412)
  sTemp = Replace(sTemp, gcPlaceHolder, sApplicationPlaceHolder)
  frmSMSBlaster.mnuImportLegacy.Caption = sTemp

  frmSMSBlaster.mnuExit.Caption = LoadLanguageSpecificString(nInput, 89)
  frmSMSBlaster.mnuSettings.Caption = LoadLanguageSpecificString(nInput, 334)
  frmSMSBlaster.mnuGeneralSettings.Caption = LoadLanguageSpecificString(nInput, 115)
  frmSMSBlaster.mnuSendlog.Caption = LoadLanguageSpecificString(nInput, 113)
  frmSMSBlaster.mnuJoblog.Caption = LoadLanguageSpecificString(nInput, 589)

  frmSMSBlaster.mnuLanguage(1).Caption = LoadLanguageSpecificString(nInput, 3)
  frmSMSBlaster.mnuLanguage(2).Caption = LoadLanguageSpecificString(nInput, 4)

  frmSMSBlaster.mnuBuyCredits.Caption = LoadLanguageSpecificString(nInput, 487)
  frmSMSBlaster.mnuShowCredits.Caption = LoadLanguageSpecificString(nInput, 114)
  frmSMSBlaster.mnuOriginators.Caption = LoadLanguageSpecificString(nInput, 751)

  frmSMSBlaster.mnuInfo009.Caption = LoadLanguageSpecificString(nInput, 83)
  frmSMSBlaster.mnuInfo007.Caption = LoadLanguageSpecificString(nInput, 484)
  frmSMSBlaster.mnuInfo008.Caption = LoadLanguageSpecificString(nInput, 483)
  
  Case 2
  For i = 0 To 8
    If ControlIsLoaded(frmSMSBlaster.optSMSType(i)) = False Then
      Load frmSMSBlaster.optSMSType(i)
    End If
    frmSMSBlaster.optSMSType(i).Left = 120
    frmSMSBlaster.optSMSType(i).Top = 250 + (i * 340)
    frmSMSBlaster.optSMSType(i).Visible = True
  Next
  
  Case 3
  'Do nothing
    
  Case 4
  'Do nothing
  
  Case 5
  'Do nothing
  
  Case 6
     
  Case 7
  'Do nothing
   
  Case 8
  For i = 0 To 8
    If ControlIsLoaded(frmSettings.chkSMSTypeEnabled(i)) = False Then
      Load frmSettings.chkSMSTypeEnabled(i)
    End If
  Next
  frmSettings.chkSMSTypeEnabled(0).Top = 700
  frmSettings.chkSMSTypeEnabled(0).Left = 120

  frmSettings.chkSMSTypeEnabled(1).Top = 1100
  frmSettings.chkSMSTypeEnabled(1).Left = 120

  frmSettings.chkSMSTypeEnabled(2).Top = 1500
  frmSettings.chkSMSTypeEnabled(2).Left = 120

  frmSettings.chkSMSTypeEnabled(3).Top = 1900
  frmSettings.chkSMSTypeEnabled(3).Left = 120

  frmSettings.chkSMSTypeEnabled(4).Top = 2300
  frmSettings.chkSMSTypeEnabled(4).Left = 120

  frmSettings.chkSMSTypeEnabled(5).Top = 2700
  frmSettings.chkSMSTypeEnabled(5).Left = 120
  
  frmSettings.chkSMSTypeEnabled(6).Width = 5000
  frmSettings.chkSMSTypeEnabled(6).Top = 3100
  frmSettings.chkSMSTypeEnabled(6).Left = 120

  frmSettings.chkSMSTypeEnabled(7).Top = 3500
  frmSettings.chkSMSTypeEnabled(7).Left = 120
  
  frmSettings.chkSMSTypeEnabled(8).Top = 3900
  frmSettings.chkSMSTypeEnabled(8).Left = 120

  Case 9
  'Do nothing
  
  Case 10
  'Do nothing
  
  Case 11
  'Do nothing
  
  Case 12
  'Do nothing

  Case 13
  'Do nothing

  Case 14
  bInput = False
  
  Case 15
  bInput = False
  
  Case 16
  bInput = False
  
  Case 17
  sInput = "DUMMYNOTUSED"
  
  Case 18
  sInput = "DUMMYNOTUSED"
  
  Case 19
  sInput = "DUMMYNOTUSED"
  
  Case 20
  sInput = "2"
  
  Case 21
  sInput = "2"
  
  Case 22
  sInput = "2"
  
  Case 23
  VersionSpecificAction 43, , , sTemp
  sInput = LoadLanguageSpecificString(nInput, 241) & vbCrLf & _
        LoadLanguageSpecificString(nInput, 242) & vbCrLf & _
        LoadLanguageSpecificString(nInput, 243) & vbCrLf & _
        LoadLanguageSpecificString(nInput, 244) & vbCrLf & _
        LoadLanguageSpecificString(nInput, 245) & vbCrLf & _
        LoadLanguageSpecificString(nInput, 246) & vbCrLf & _
        LoadLanguageSpecificString(nInput, 481) & vbCrLf & _
        LoadLanguageSpecificString(nInput, 479) & vbCrLf & _
        LoadLanguageSpecificString(nInput, 247) & vbCrLf & _
        LoadLanguageSpecificString(nInput, 477) & vbCrLf & _
        LoadLanguageSpecificString(nInput, 250) & vbCrLf & _
        LoadLanguageSpecificString(nInput, 490) & vbCrLf & vbCrLf & _
        LoadLanguageSpecificString(nInput, 251) & vbCrLf & _
        LoadLanguageSpecificString(nInput, 252) & " " & sTemp & " " & LoadLanguageSpecificString(nInput, 253)

   Case 24
   'Do nothing
   
   Case 25
   'Do nothing
   
   Case 26
   'Do nothing
   
   Case 27
   'Do nothing
   
   Case 28
   lRet = ShellExecute(Screen.ActiveForm.hWnd, "Open", "http://www.aspsms.com/home.asp?REF=39", _
                    vbNullString, vbNullString, vbNormalFocus)
   
   Case 29
   lRet = ShellExecute(Screen.ActiveForm.hWnd, "Open", "http://www.aspsms.com/instruction/prices.asp?REF=39", _
                    vbNullString, vbNullString, vbNormalFocus)
   
   Case 30
   lRet = ShellExecute(Screen.ActiveForm.hWnd, "Open", "http://www.aspsms.com/news/home.asp?REF=39", _
                    vbNullString, vbNullString, vbNormalFocus)
   
   Case 31
   lRet = ShellExecute(Screen.ActiveForm.hWnd, "Open", "http://www.aspsms.com/supportednetworks.asp?REF=39", _
                    vbNullString, vbNullString, vbNormalFocus)

   Case 32
   lRet = ShellExecute(Screen.ActiveForm.hWnd, "Open", "http://www.aspsms.com/documentation/home.asp?REF=39", _
                    vbNullString, vbNullString, vbNormalFocus)

   Case 33
   lRet = ShellExecute(Screen.ActiveForm.hWnd, "Open", "http://www.aspsms.com/instruction/faq.asp?REF=39", _
                    vbNullString, vbNullString, vbNormalFocus)
   
   Case 34
   lRet = ShellExecute(Screen.ActiveForm.hWnd, "Open", "http://www.aspsms.com/instruction/support.asp?REF=39", _
                    vbNullString, vbNullString, vbNormalFocus)

   Case 35
   lRet = ShellExecute(Screen.ActiveForm.hWnd, "Open", "http://www.aspsms.com/instruction/aboutus.asp?REF=39", _
                    vbNullString, vbNullString, vbNormalFocus)

   Case 36
   nInput = 13
   
   Case 37
   sInput = "aspsms.com Website"
   
   Case 38
   sInput = "SMSBlaster 1.2"
   
   Case 39
   sInput = "/img/RandomLogos/Logos.txt"
   
   Case 40
   sInput = "www.aspsms.com"
   
   Case 41
   sInput = "/img/RandomLogos/"
   
   Case 42
   If gsPathAndDatabaseName = "" Then
     gsPathAndDatabaseName = App.Path & "\SMSBlaster.mdb"
   End If
   
   Case 43
   sInput = "www.aspsms.com"
   
   Case 44
   sInput = "SMS Blaster"
   
   Case 45
   sInput = "650"
   
   Case 46
   'Do nothing
   
   Case 47
   'Do nothing
   
   Case 48
   sInput = LoadLanguageSpecificString(nInput, 531)
  
   Case 49
   sInput = LoadLanguageSpecificString(nInput, 532)
  
   Case 50
   sInput = LoadLanguageSpecificString(nInput, 533)
  
   Case 51
   sInput = LoadLanguageSpecificString(nInput, 534)
  
   Case 52
   sInput = LoadLanguageSpecificString(nInput, 535)
  
   Case 53
   sInput = LoadLanguageSpecificString(nInput, 536)
  
   Case 54
   lRet = ShellExecute(Screen.ActiveForm.hWnd, "Open", "http://www.aspsms.com/balance.asp?REF=39", _
                    vbNullString, vbNullString, vbNormalFocus)
   
   Case 55
   lRet = ShellExecute(Screen.ActiveForm.hWnd, "Open", "http://www.aspsms.com/registration.asp?REF=39", _
                    vbNullString, vbNullString, vbNormalFocus)

   
   Case 56
   VersionSpecificAction 23, gnLanguage, , sTemp
   sTemp = sTemp & vbCrLf & vbCrLf & _
           "Versioninfo: " & Trim(Str$(App.Major)) & "." & _
           Trim(Str$(App.Minor)) & " Build: " & _
           Right("000" & Trim(Str$(App.Revision)), 4)

   MsgBox sTemp, vbInformation, gsApplicationName
   
  Case 57
  Dim tValidityPeriod As ValidityPeriod
  
  tValidityPeriod = ActualValidityPeriod()
  If tValidityPeriod.bStandardPeriod = True Then
    'Do nothing
  Else
    Select Case tValidityPeriod.nLifeTimeUnit
      Case 0
      If tValidityPeriod.lLifeTime = 1 Then
        sTemp = "(" & LoadLanguageSpecificString(nInput, 696) & " " & Trim(Str$(tValidityPeriod.lLifeTime)) & " " & LoadLanguageSpecificString(nInput, 699) & ")"
      Else
        sTemp = "(" & LoadLanguageSpecificString(nInput, 696) & " " & Trim(Str$(tValidityPeriod.lLifeTime)) & " " & LoadLanguageSpecificString(nInput, 700) & ")"
      End If
      
      Case 1
      If tValidityPeriod.lLifeTime = 1 Then
        sTemp = "(" & LoadLanguageSpecificString(nInput, 696) & " " & Trim(Str$(tValidityPeriod.lLifeTime)) & " " & LoadLanguageSpecificString(nInput, 701) & ")"
      Else
        sTemp = "(" & LoadLanguageSpecificString(nInput, 696) & " " & Trim(Str$(tValidityPeriod.lLifeTime)) & " " & LoadLanguageSpecificString(nInput, 702) & ")"
      End If
    End Select
  End If
    
  Case 58
  
  
  Case 59
  If frmSMSBlaster.TabMain.Tab = 0 Then
    frmSMSBlaster.imgSMSBlaster.Visible = True
    frmSMSBlaster.imgSMSBlaster.Left = 3000
    frmSMSBlaster.imgSMSBlaster.Top = 480
  Else
    frmSMSBlaster.imgSMSBlaster.Visible = False
  End If
     
  Case 60
  lInput = 39
   
  
  Case Else
  MsgBox "Case else " & nCode
   
  
End Select
End Sub


