VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Object = "{5E9E78A0-531B-11CF-91F6-C2863C385E30}#1.0#0"; "MSFLXGRD.OCX"
Begin VB.Form frmImport 
   BorderStyle     =   3  'Fester Dialog
   Caption         =   "Import"
   ClientHeight    =   4935
   ClientLeft      =   3360
   ClientTop       =   3285
   ClientWidth     =   7935
   Icon            =   "frmImport.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4935
   ScaleWidth      =   7935
   ShowInTaskbar   =   0   'False
   Begin VB.CommandButton cmdRemoveFromImportList 
      Caption         =   "Remove from Importlist"
      Height          =   495
      Left            =   4320
      TabIndex        =   12
      Top             =   3120
      Width           =   1695
   End
   Begin VB.CommandButton cmdRefreshWindow 
      Caption         =   "Refresh Window"
      Height          =   495
      Left            =   4320
      TabIndex        =   11
      Top             =   4320
      Width           =   1695
   End
   Begin VB.CommandButton cmdClose 
      Caption         =   "Close Window"
      Height          =   495
      Left            =   6120
      TabIndex        =   10
      Top             =   4320
      Width           =   1695
   End
   Begin VB.CommandButton cmdSaveRecords 
      Caption         =   "Save Records"
      Height          =   495
      Left            =   6120
      TabIndex        =   9
      Top             =   3720
      Width           =   1695
   End
   Begin VB.ComboBox cboSeparator 
      Height          =   315
      Left            =   6240
      TabIndex        =   8
      Text            =   "Combo1"
      Top             =   1920
      Width           =   1575
   End
   Begin VB.Frame fraFormat 
      Caption         =   "Format"
      Height          =   1695
      Left            =   4320
      TabIndex        =   2
      Top             =   120
      Width           =   3495
      Begin VB.OptionButton optFormat 
         Caption         =   "Only Phonenumber"
         Height          =   255
         Index           =   3
         Left            =   120
         TabIndex        =   6
         Top             =   1320
         Width           =   3255
      End
      Begin VB.OptionButton optFormat 
         Caption         =   "Only Name"
         Height          =   255
         Index           =   2
         Left            =   120
         TabIndex        =   5
         Top             =   960
         Width           =   3255
      End
      Begin VB.OptionButton optFormat 
         Caption         =   "Phonenumber <Separator> Name"
         Height          =   255
         Index           =   1
         Left            =   120
         TabIndex        =   4
         Top             =   600
         Width           =   3255
      End
      Begin VB.OptionButton optFormat 
         Caption         =   "Name <Separator> Phonenumber"
         Height          =   255
         Index           =   0
         Left            =   120
         TabIndex        =   3
         Top             =   240
         Width           =   3255
      End
   End
   Begin VB.CommandButton cmdSelectFile 
      Caption         =   "Select File"
      Height          =   495
      Left            =   4320
      TabIndex        =   1
      Top             =   3720
      Width           =   1695
   End
   Begin MSFlexGridLib.MSFlexGrid grdImport 
      Height          =   4695
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   4095
      _ExtentX        =   7223
      _ExtentY        =   8281
      _Version        =   393216
      Rows            =   1
      FixedCols       =   0
      ScrollTrack     =   -1  'True
      AllowUserResizing=   1
   End
   Begin MSComDlg.CommonDialog cmdDlgOpen 
      Left            =   6000
      Top             =   2520
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
      CancelError     =   -1  'True
   End
   Begin VB.Label lblSeparator 
      Caption         =   "Separator"
      Height          =   255
      Left            =   4320
      TabIndex        =   7
      Top             =   1920
      Width           =   975
   End
End
Attribute VB_Name = "frmImport"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit



Public Sub AdjustLanguageSettings(nLanguage As Integer)
Me.Caption = LoadLanguageSpecificString(nLanguage, 21)
fraFormat.Caption = LoadLanguageSpecificString(nLanguage, 22)
optFormat(0).Caption = LoadLanguageSpecificString(nLanguage, 23)
optFormat(1).Caption = LoadLanguageSpecificString(nLanguage, 24)
optFormat(2).Caption = LoadLanguageSpecificString(nLanguage, 25)
optFormat(3).Caption = LoadLanguageSpecificString(nLanguage, 26)
lblSeparator.Caption = LoadLanguageSpecificString(nLanguage, 27)
cmdRemoveFromImportList.Caption = LoadLanguageSpecificString(nLanguage, 28)
cmdSelectFile.Caption = LoadLanguageSpecificString(nLanguage, 29)
cmdSaveRecords.Caption = LoadLanguageSpecificString(nLanguage, 30)
cmdRefreshWindow.Caption = LoadLanguageSpecificString(nLanguage, 31)
cmdClose.Caption = LoadLanguageSpecificString(nLanguage, 32)
End Sub

Private Sub cmdClose_Click()
Unload Me
End Sub

Private Sub cmdRefreshWindow_Click()
If cmdDlgOpen.FileName <> "" Then
  RefreshDataImportWindow cmdDlgOpen.FileName
End If
End Sub

Private Sub cmdRemoveFromImportList_Click()
Dim lStart As Long
Dim lEnd As Long
Dim i As Long

If grdImport.Rows = 1 Then Exit Sub 'Cancel operation if there is nothing in the box

If grdImport.RowSel < grdImport.Row Then
  lEnd = grdImport.RowSel
  lStart = grdImport.Row
Else
  lEnd = grdImport.Row
  lStart = grdImport.RowSel
End If

If lStart - lEnd + 1 = grdImport.Rows - 1 Then
  grdImport.Rows = 1
Else
  For i = lStart To lEnd Step -1
    grdImport.RemoveItem i
  Next
End If
grdImport.RowSel = grdImport.Row
End Sub

Private Sub cmdSaveRecords_Click()
Dim i As Long
Dim nAnswer As Integer
Dim sMessage As String
Dim sLine As String

If grdImport.Rows <= 1 Then Exit Sub  'No data to store available

Select Case frmImport.Tag
  Case "ImportIntoCurrentRecipients"
  Screen.MousePointer = vbHourglass
  'Get Entrys from the grid and store them into database
  For i = 1 To grdImport.Rows - 1
    sLine = Left(grdImport.TextMatrix(i, 0) & "", 150) & Chr$(9) & Left(grdImport.TextMatrix(i, 1) & "", 50)
    frmSMSBlaster.grdRecipients.AddItem sLine
  Next
  UpdateJobList gnLanguage
  Screen.MousePointer = vbDefault
  
  Case "ImportIntoPhonebook"
  sMessage = LoadLanguageSpecificString(gnLanguage, 33) & Str$(grdImport.Rows - 1) & " " & LoadLanguageSpecificString(gnLanguage, 34)
  nAnswer = MsgBox(sMessage, vbOKCancel Or vbInformation, gsApplicationName)

  If nAnswer = vbOK Then
    Screen.MousePointer = vbHourglass
    'Get Entrys from the grid and store them into database
    For i = 1 To grdImport.Rows - 1
      frmSMSBlaster.dtaPhonebook.Recordset.AddNew
      frmSMSBlaster.dtaPhonebook.Recordset("Name") = Left(grdImport.TextMatrix(i, 0) & "", 150)
      frmSMSBlaster.dtaPhonebook.Recordset("Number") = Left(grdImport.TextMatrix(i, 1) & "", 50)
      frmSMSBlaster.dtaPhonebook.Recordset.Update
      DoEvents
      frmImport.Caption = Str$(i)
    Next
    Screen.MousePointer = vbDefault
  End If
  frmSMSBlaster.dtaPhonebook.Refresh
End Select

End Sub

Private Sub cmdSelectFile_Click()
Dim nFormat As Integer
Dim sSeparator As String
On Error GoTo ErrorCancelSelected

cmdDlgOpen.Filter = LoadLanguageSpecificString(gnLanguage, 200)
cmdDlgOpen.ShowOpen
If cmdDlgOpen.FileName <> "" Then
  RefreshDataImportWindow cmdDlgOpen.FileName
End If

Exit Sub

ErrorCancelSelected:
Exit Sub

End Sub


Private Sub Form_Load()
CenterForm Me
AdjustFontControls Me
AdjustLanguageSettings gnLanguage
grdImport.ColWidth(0) = Me.grdImport.Width / 2.3
grdImport.ColWidth(1) = Me.grdImport.Width / 2.3
grdImport.TextMatrix(0, 0) = LoadLanguageSpecificString(gnLanguage, 196)
grdImport.TextMatrix(0, 1) = LoadLanguageSpecificString(gnLanguage, 197)
grdImport.ColAlignment(0) = flexAlignLeftCenter
grdImport.ColAlignment(1) = flexAlignLeftCenter

cboSeparator.AddItem "<Tab>"
cboSeparator.AddItem "<Space>"
cboSeparator.AddItem ","
cboSeparator.AddItem ";"
cboSeparator.AddItem "."
cboSeparator.ListIndex = 0

optFormat(0).Value = True
End Sub
