VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Object = "{5E9E78A0-531B-11CF-91F6-C2863C385E30}#1.0#0"; "MSFLXGRD.OCX"
Begin VB.Form frmJoblog 
   Caption         =   "Joblog"
   ClientHeight    =   8235
   ClientLeft      =   2460
   ClientTop       =   1770
   ClientWidth     =   11370
   Icon            =   "frmJobs.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   8235
   ScaleWidth      =   11370
   ShowInTaskbar   =   0   'False
   WindowState     =   2  'Maximiert
   Begin VB.CommandButton cmdEdit 
      Caption         =   "Edit..."
      Height          =   495
      Left            =   3840
      TabIndex        =   2
      Top             =   120
      Width           =   1455
   End
   Begin VB.CommandButton cmdFilter 
      Caption         =   "Filter..."
      Height          =   495
      Left            =   7080
      TabIndex        =   4
      Top             =   120
      Width           =   1455
   End
   Begin VB.CommandButton cmdDBAttributeSettings 
      Caption         =   "Settings..."
      Height          =   495
      Left            =   8640
      TabIndex        =   5
      Top             =   120
      Width           =   1455
   End
   Begin VB.CommandButton cmdExport 
      Caption         =   "Export..."
      Height          =   495
      Left            =   5520
      TabIndex        =   3
      Top             =   120
      Width           =   1455
   End
   Begin VB.CommandButton cmdDetails 
      Caption         =   "Details..."
      Height          =   495
      Left            =   2280
      TabIndex        =   1
      Top             =   120
      Width           =   1455
   End
   Begin VB.CommandButton cmdClose 
      Cancel          =   -1  'True
      Caption         =   "Close Window"
      Height          =   495
      Left            =   10200
      TabIndex        =   6
      Top             =   120
      Width           =   1455
   End
   Begin VB.CommandButton cmdDeleteRows 
      Caption         =   "Delete selected Jobs"
      Height          =   495
      Left            =   240
      TabIndex        =   0
      Top             =   120
      Width           =   1935
   End
   Begin VB.Data dtaJobs 
      Caption         =   "dtaJobs"
      Connect         =   "Access 2000;"
      DatabaseName    =   ""
      DefaultCursorType=   0  'Standard-Cursor
      DefaultType     =   2  'ODBC verwenden
      Exclusive       =   0   'False
      Height          =   345
      Left            =   120
      Options         =   0
      ReadOnly        =   0   'False
      RecordsetType   =   1  'Dynaset
      RecordSource    =   "select * from Sendjournal order by ID"
      Top             =   10200
      Visible         =   0   'False
      Width           =   4335
   End
   Begin MSFlexGridLib.MSFlexGrid grdJobLog 
      Bindings        =   "frmJobs.frx":030A
      Height          =   9855
      Left            =   240
      TabIndex        =   7
      Top             =   720
      Width           =   10095
      _ExtentX        =   17806
      _ExtentY        =   17383
      _Version        =   393216
      Cols            =   11
      FixedCols       =   0
      AllowBigSelection=   0   'False
      ScrollTrack     =   -1  'True
      AllowUserResizing=   1
   End
   Begin MSComDlg.CommonDialog cmdDlgSave 
      Left            =   11160
      Top             =   120
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
      CancelError     =   -1  'True
   End
   Begin VB.Menu mnuEditTop 
      Caption         =   "mnuEditTop"
      Visible         =   0   'False
      Begin VB.Menu mnuEdit 
         Caption         =   "mnuEdit"
      End
      Begin VB.Menu mnuDetails 
         Caption         =   "mnuDetails"
      End
      Begin VB.Menu mnuDeleteRows 
         Caption         =   "mnuDeleteRows"
      End
      Begin VB.Menu mnuSeparator01 
         Caption         =   "-"
      End
      Begin VB.Menu mnuExport 
         Caption         =   "mnuExport"
      End
      Begin VB.Menu mnuFilter 
         Caption         =   "mnuFilter"
      End
      Begin VB.Menu mnuDBAttributeSettings 
         Caption         =   "mnuDBAttributeSettings"
      End
      Begin VB.Menu mnuSeparator02 
         Caption         =   "-"
      End
      Begin VB.Menu mnuCopy 
         Caption         =   "mnuCopy"
         Shortcut        =   ^C
      End
   End
End
Attribute VB_Name = "frmJoblog"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim lRowPos As Long

Public Sub AdjustLanguageSettings(nLanguage As Integer)
Me.Caption = LoadLanguageSpecificString(nLanguage, 590)
cmdDeleteRows.Caption = LoadLanguageSpecificString(nLanguage, 592)
cmdClose.Caption = LoadLanguageSpecificString(nLanguage, 593)
cmdDBAttributeSettings.Caption = LoadLanguageSpecificString(nLanguage, 595)
cmdDetails.Caption = LoadLanguageSpecificString(nLanguage, 594)
cmdEdit.Caption = LoadLanguageSpecificString(nLanguage, 588)
cmdExport.Caption = LoadLanguageSpecificString(nLanguage, 596)
cmdFilter.Caption = LoadLanguageSpecificString(nLanguage, 597)

mnuDeleteRows.Caption = LoadLanguageSpecificString(nLanguage, 592)
mnuDBAttributeSettings.Caption = LoadLanguageSpecificString(nLanguage, 595)
mnuDetails.Caption = LoadLanguageSpecificString(nLanguage, 594)
mnuEdit.Caption = LoadLanguageSpecificString(nLanguage, 588)
mnuExport.Caption = LoadLanguageSpecificString(nLanguage, 596)
mnuFilter.Caption = LoadLanguageSpecificString(nLanguage, 597)
mnuCopy.Caption = LoadLanguageSpecificString(nLanguage, 625)

End Sub

Public Sub FormLoadWithoutSubClassing()
Dim sSQL As String
CenterForm Me
Screen.MousePointer = vbHourglass
AdjustFontControls Me
AdjustLanguageSettings gnLanguage
Me.dtaJobs.DatabaseName = gsPathAndDatabaseName
       
Me.dtaJobs.RecordSource = JobLogSQLStatement(gnLanguage)
Me.dtaJobs.Refresh

GetColWidthSettingsJobsFromDatabase
Screen.MousePointer = Screen.MousePointer = vbDefault


End Sub

Sub GetColWidthSettingsJobsFromDatabase()
Dim i As Integer

Dim rColWidth As Double

If gtDBLogFieldsSettings.bJobLog(1) = False Then
  grdJobLog.ColWidth(0) = 0
Else
  rColWidth = GetSettingFromDatabase("COLWIDTHJOBS00")

  If rColWidth <> -1 Then
    grdJobLog.ColWidth(0) = rColWidth
  Else
    grdJobLog.ColWidth(0) = 0
  End If
End If

For i = 1 To grdJobLog.Cols - 1
  rColWidth = GetSettingFromDatabase("COLWIDTHJOBS" & Right("00" & Trim(Str$(i)), 2))

  Select Case True
    
    Case rColWidth = -1 'Applying Defaultvalue 7 Percent
    grdJobLog.ColWidth(i) = grdJobLog.Width * 7 / 100
    
    Case rColWidth = 0
    grdJobLog.ColWidth(i) = 0
    
    Case Else
    grdJobLog.ColWidth(i) = rColWidth
    
  End Select
Next
End Sub

Sub PutColWidthSettingsIntoDatabase()
Dim i As Integer

Dim rColWidth As Double
For i = 0 To grdJobLog.Cols - 1
  rColWidth = grdJobLog.ColWidth(i)
  PutSettingIntoDataBase "ColWidthJobs" & Right("00" & Trim(Str$(i)), 2), rColWidth
Next

End Sub


Private Sub cmdClose_Click()
Unload Me
End Sub

Private Sub cmdDBAttributeSettings_Click()
frmDBAttributeSettings.AdjustLanguageSettingsJobLog gnLanguage
frmDBAttributeSettings.Show vbModal, Me
FormLoadWithoutSubClassing
End Sub

Private Sub cmdDeleteRows_Click()
Dim lJobId As Long
Dim i As Long
Dim lStart As Long
Dim lEnd As Long
Dim nAnswer As Integer

Dim rsMain As Recordset

If grdJobLog.RowSel = 0 Or grdJobLog.Row = 0 Then
  Exit Sub
End If

On Error GoTo ErrorTrap

nAnswer = MsgBox(LoadLanguageSpecificString(gnLanguage, 591), vbQuestion Or vbOKCancel, gsApplicationName)

If nAnswer <> vbOK Then
  Exit Sub
End If

Screen.MousePointer = vbHourglass
If grdJobLog.RowSel < grdJobLog.Row Then
  lStart = grdJobLog.RowSel
  lEnd = grdJobLog.Row
Else
  lStart = grdJobLog.Row
  lEnd = grdJobLog.RowSel
End If

For i = lStart To lEnd
  lJobId = Me.grdJobLog.TextMatrix(i, 0)
  Me.dtaJobs.Recordset.FindFirst "ID = " & lJobId

  If Me.dtaJobs.Recordset.NoMatch Then
    'Do nothing
  Else
    Me.dtaJobs.Recordset.Delete
    
    Set rsMain = gdbMain.OpenRecordset("select * from Sendjournal where lJobID = " & Str$(lJobId))
    
    Do While Not rsMain.EOF
      rsMain.Delete
      rsMain.MoveNext
    Loop
    rsMain.Close
  End If
Next

Me.dtaJobs.Refresh
Screen.MousePointer = vbDefault

ErrorTrap:
Exit Sub

End Sub
Private Sub cmdDetails_Click()
Unload frmSendLog

gtSendLogFilterSettings.bJobIDFilterUsed = True
gtSendLogFilterSettings.lJobId = Val(grdJobLog.TextMatrix(grdJobLog.RowSel, 0))
gtSendLogFilterSettings.bRecipientNameFilterUsed = False
gtSendLogFilterSettings.bRecipientFilterUsed = False
gtSendLogFilterSettings.bDeliveryStatusFilterUsed = False
gtSendLogFilterSettings.bReasonCodeFilterUsed = False

frmSendLog.Show vbModal, Me
End Sub

Private Sub cmdEdit_Click()
If grdJobLog.Rows < 1 Then Exit Sub

Dim lTopRow As Long
Dim lRow As Long
Dim lCol As Long
Dim lRowSel As Long
Dim lColSel As Long

lTopRow = grdJobLog.TopRow
lRow = grdJobLog.Row
lCol = grdJobLog.Col
lRowSel = grdJobLog.RowSel
lColSel = grdJobLog.ColSel

glJobIDEditJobRemarks = Val(grdJobLog.TextMatrix(grdJobLog.RowSel, 0))
frmEditJobInfo.Show vbModal, Me

grdJobLog.TopRow = lTopRow
grdJobLog.Row = lRow
grdJobLog.Col = lCol
grdJobLog.RowSel = lRowSel
grdJobLog.ColSel = lColSel

End Sub

Private Sub cmdExport_Click()
Dim i As Long
Dim lJobId As Long
Dim lJobIDStart As Long
Dim lJobIDEnd As Long
Dim sFilename As String
Dim bSuccess As Long
Dim nOutputFile As Integer
Dim bWriteTitle As Boolean
Dim bErrorHasOccured As Boolean
Dim nAnswer As Integer

On Error GoTo ErrorCancelSelected

cmdDlgSave.Filter = LoadLanguageSpecificString(gnLanguage, 200)
cmdDlgSave.ShowSave
If cmdDlgSave.FileName <> "" Then
  sFilename = cmdDlgSave.FileName
  
  If FileExists(sFilename) Then
    nAnswer = MsgBox(LoadLanguageSpecificString(gnLanguage, 598), vbOKCancel Or vbDefaultButton2 Or vbExclamation, gsApplicationName)
    
    If nAnswer <> vbOK Then
      Exit Sub
    Else
      Kill sFilename
    End If
  End If
    
  If frmJoblog.grdJobLog.RowSel < frmJoblog.grdJobLog.Row Then
    lJobIDStart = frmJoblog.grdJobLog.RowSel
    lJobIDEnd = frmJoblog.grdJobLog.Row
  Else
    lJobIDStart = frmJoblog.grdJobLog.Row
    lJobIDEnd = frmJoblog.grdJobLog.RowSel
  End If

  nOutputFile = FreeFile

  Open sFilename For Binary As #nOutputFile
  
  Screen.MousePointer = vbHourglass
  For i = lJobIDStart To lJobIDEnd
    lJobId = frmJoblog.grdJobLog.TextMatrix(i, 0)
    If i = lJobIDStart Then
      bWriteTitle = True
    Else
      bWriteTitle = False
    End If

    bSuccess = ExportSendLogIntoTextfile(gnLanguage, nOutputFile, lJobId, bWriteTitle)

    If bSuccess = False Then
      bErrorHasOccured = True
    End If
  Next
  Screen.MousePointer = vbDefault
  Close
End If

If bErrorHasOccured = True Then
  MsgBox LoadLanguageSpecificString(gnLanguage, 549), vbCritical, gsApplicationName
Else
  MsgBox LoadLanguageSpecificString(gnLanguage, 550), vbInformation, gsApplicationName
End If

Exit Sub

ErrorCancelSelected:
Exit Sub
End Sub

Private Sub cmdFilter_Click()
PutColWidthSettingsIntoDatabase
frmFilterJoblog.Show vbModal, Me
End Sub

Private Sub dtaJobs_Reposition()
Me.Caption = LoadLanguageSpecificString(gnLanguage, 590) & " / " & dtaJobs.Recordset.RecordCount & " " & LoadLanguageSpecificString(gnLanguage, 343)
DoEvents
End Sub

Private Sub Form_Load()
FormLoadWithoutSubClassing
gOldwndProcfrmJobLog = GetWindowLong(grdJobLog.hWnd, GWL_WNDPROC)
SetWindowLong grdJobLog.hWnd, GWL_WNDPROC, AddressOf MouseWheelSupportWndProcfrmJoblog
End Sub


Private Sub Form_Resize()
On Error Resume Next
Const cScrollbarWidth = 200
grdJobLog.Top = cmdDeleteRows.Height + 200
grdJobLog.Left = 0
grdJobLog.Width = Me.ScaleWidth
grdJobLog.Height = Me.ScaleHeight - Me.cmdDeleteRows.Height - 200
End Sub

Private Sub Form_Unload(Cancel As Integer)
PutColWidthSettingsIntoDatabase
SetWindowLong grdJobLog.hWnd, GWL_WNDPROC, gOldwndProcfrmJobLog
Set frmJoblog = Nothing
End Sub


Private Sub grdJobLog_DblClick()
cmdDetails_Click
End Sub


Private Sub grdJobLog_KeyDown(KeyCode As Integer, Shift As Integer)
Select Case True
  Case KeyCode = 67 And Shift = 2  'CTRL C
  CopySelectedGridAreaToClipboard grdJobLog
  
  Case KeyCode = 45 And Shift = 2  'CTRL INS
  CopySelectedGridAreaToClipboard grdJobLog
  
  Case Else
  'Do nothing
  
End Select
End Sub


Private Sub grdJobLog_MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)
Dim lCurrentCol As Long
Dim lCurrentRow As Long

If Button = vbRightButton Then
  If grdJobLog.RowSel = grdJobLog.Row Then
    mnuDetails.Enabled = True
    mnuEdit.Enabled = True

    CurrentPositionWithinGrid grdJobLog, x, y, lCurrentCol, lCurrentRow

    If lCurrentRow < grdJobLog.Rows - 1 And lCurrentCol < grdJobLog.Cols <= -1 And lCurrentRow <> -1 And lCurrentCol <> -1 Then
      grdJobLog.Row = lCurrentRow
      grdJobLog.Col = lCurrentCol
      'Me.Caption = lCurrentRow & " " & lCurrentCol
    End If
  Else
    mnuDetails.Enabled = False
    mnuEdit.Enabled = False
  End If
  Me.PopupMenu mnuEditTop
End If
End Sub


Private Sub grdJobLog_MouseMove(Button As Integer, Shift As Integer, x As Single, y As Single)
Dim lCol As Long
Dim lRow As Long
CurrentPositionWithinGrid grdJobLog, x, y, lCol, lRow
End Sub


Private Sub mnuCopy_Click()
CopySelectedGridAreaToClipboard grdJobLog
End Sub


Private Sub mnuDBAttributeSettings_Click()
cmdDBAttributeSettings_Click
End Sub

Private Sub mnuDeleteRows_Click()
cmdDeleteRows_Click
End Sub


Private Sub mnuDetails_Click()
cmdDetails_Click
End Sub


Private Sub mnuEdit_Click()
cmdEdit_Click
End Sub


Private Sub mnuExport_Click()
cmdExport_Click
End Sub


Private Sub mnuFilter_Click()
cmdFilter_Click
End Sub


